org.eclipse.remote.ui

## Class RemoteConnectionsLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.remote.ui.RemoteConnectionsLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class RemoteConnectionsLabelProvider
    extends org.eclipse.jface.viewers.LabelProvider

A label provider to show the test and base image for remote connections. It calls out to the connection type services to get the text and images for the types of the connections.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`RemoteConnectionsLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### RemoteConnectionsLabelProvider

    public RemoteConnectionsLabelProvider()

### Method Detail

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`

#### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`